Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization.target
Class GroupForPersonalization

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
          org.esupportail.portal.channels.CStockage.userManagement.Group
              org.esupportail.portal.channels.CStockage.spacesPersonalization.target.GroupForPersonalization

public class GroupForPersonalization
extends Group

Id: GroupForPersonalization.java,v 1.0 7 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: GroupForPersonalization Original Author: Yohan Colmant Represents a group for the management during the personalization

Field Summary
`private java.lang.String` | `idOfSharing` The ID of this sharing in the database
`protected static Log` | `log` Logger object
`private boolean` | `modifiable` When used for acl management, to know if this group can be modifiable
`private boolean` | `obliged` If the group is obliged to see the sharing
`private boolean` | `reading` When used for acl management, to know if this group has reading rights
`private boolean` | `sharing` If the group can manage the rights
`private boolean` | `writing` When used for acl management, to know if this group has writing rights

Fields inherited from class org.esupportail.portal.channels.CStockage.userManagement.Group
``

Fields inherited from class org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
`displayName, key`

Constructor Summary
`GroupForPersonalization()` Default constructor
`GroupForPersonalization(org.jasig.portal.groups.EntityGroupImpl group)` Constructor
`GroupForPersonalization(java.lang.String hierarchy)` Constructor
`GroupForPersonalization(java.lang.String key, java.lang.String displayName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`boolean` | `equals(java.lang.Object o)` Compare this object to another one
`java.lang.String` | `getIdOfSharing()`
`boolean` | `isModifiable()`
`boolean` | `isObliged()`
`boolean` | `isReading()`
`boolean` | `isSharing()`
`boolean` | `isWriting()`
`void` | `setIdOfSharing(java.lang.String idOfSharing)`
`void` | `setModifiable(boolean modifiable)`
`void` | `setObliged(boolean obliged)`
`void` | `setObliged(java.lang.String obliged)`
`void` | `setReading(boolean reading)`
`void` | `setReading(java.lang.String reading)`
`void` | `setSharing(boolean sharing)`
`void` | `setSharing(java.lang.String sharing)`
`void` | `setWriting(boolean writing)`
`void` | `setWriting(java.lang.String writing)`

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.Group
`getGroupHierarchy, setGroupHierarchy, toString`

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
`getDisplayName, getKey, setDisplayName, setKey`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

### modifiable

    private boolean modifiable

  When used for acl management, to know if this group can be modifiable

### reading

    private boolean reading

  When used for acl management, to know if this group has reading rights

### writing

    private boolean writing

  When used for acl management, to know if this group has writing rights

### sharing

    private boolean sharing

  If the group can manage the rights

### obliged

    private boolean obliged

  If the group is obliged to see the sharing

### idOfSharing

    private java.lang.String idOfSharing

  The ID of this sharing in the database

Constructor Detail

### GroupForPersonalization

    public GroupForPersonalization()

  Default constructor

### GroupForPersonalization

    public GroupForPersonalization(java.lang.String key,
                                   java.lang.String displayName)
                            throws ServerException

  Constructor

Parameters:
  `key` - the group key
  `displayName` - The displayed group name
Throws:
  `ServerException`

### GroupForPersonalization

    public GroupForPersonalization(org.jasig.portal.groups.EntityGroupImpl group)
                            throws ServerException

  Constructor

Parameters:
  `group` - this portal group value
Throws:
  `ServerException`

### GroupForPersonalization

    public GroupForPersonalization(java.lang.String hierarchy)
                            throws ServerException

  Constructor

Parameters:
  `hierarchy` - this portal group hierarchy in this form: G1/G2/G3 where G1 is the root
Throws:
  `ServerException`

Method Detail

### isModifiable

    public boolean isModifiable()

  Returns:
    Returns the modifiable.

### setModifiable

    public void setModifiable(boolean modifiable)

  Parameters:
    `modifiable` - The modifiable to set.

### isReading

    public boolean isReading()

  Returns:
    Returns the reading.

### setReading

    public void setReading(boolean reading)

  Parameters:
    `reading` - The reading to set.

### setReading

    public void setReading(java.lang.String reading)

  Parameters:
    `reading` - The reading to set. "T" or "F"

### isWriting

    public boolean isWriting()

  Returns:
    Returns the writing.

### setWriting

    public void setWriting(boolean writing)

  Parameters:
    `writing` - The writing to set.

### setWriting

    public void setWriting(java.lang.String writing)

  Parameters:
    `writing` - The writing to set. "T" or "F"

### isSharing

    public boolean isSharing()

  Returns:
    Returns the sharing.

### setSharing

    public void setSharing(boolean sharing)

  Parameters:
    `sharing` - The sharing to set.

### setSharing

    public void setSharing(java.lang.String sharing)

  Parameters:
    `sharing` - The sharing to set. "T" or "F"

### isObliged

    public boolean isObliged()

  Returns:
    Returns the obliged.

### setObliged

    public void setObliged(boolean obliged)

  Parameters:
    `obliged` - The obliged to set.

### setObliged

    public void setObliged(java.lang.String obliged)

  Parameters:
    `obliged` - The obliged to set. "T" or "F"

### getIdOfSharing

    public java.lang.String getIdOfSharing()

  Returns:
    Returns the idOfSharing.

### setIdOfSharing

    public void setIdOfSharing(java.lang.String idOfSharing)

  Parameters:
    `idOfSharing` - The idOfSharing to set.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Overrides:
    `clone` in class `Group`
  Returns:
    this cloned object

### equals

    public boolean equals(java.lang.Object o)

  Compare this object to another one

  Overrides:
    `equals` in class `AbstractUser`
  Parameters:
    `o` - the object to compare
  Returns:
    true if equals, false else

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD